## dtk6widget 6.0.18

=== debian/changelog ===
dtk6widget (6.0.18) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:36:19 +0000

dtk6widget (6.0.17) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 24 Jun 2024 05:35:02 +0000

dtk6widget (6.0.16) unstable; urgency=medium

  * 6.0.16

 -- Mike Chen <chenke@deepin.org>  Mon, 13 May 2024 13:25:40 +0800

dtk6widget (6.0.15) unstable; urgency=medium

  * 6.0.15

 -- YeShanShan <yeshanshan@deepin.org>  Mon, 29 Apr 2024 16:16:14 +0800

dtk6widget (6.0.14) unstable; urgency=medium

  * 6.0.14

 -- YeShanShan <yeshanshan@deepin.org>  Sun, 28 Apr 2024 13:26:13 +0800

dtk6widget (6.0.13) unstable; urgency=medium

  * 6.0.13

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 26 Apr 2024 15:15:57 +0800

dtk6widget (6.0.12) unstable; urgency=medium

  * 6.0.12

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 23 Apr 2024 11:35:41 +0800

dtk6widget (6.0.11) unstable; urgency=medium

  * 6.0.11

 -- Mike Chen <chenke@deepin.org>  Wed, 17 Apr 2024 17:25:53 +0800

dtk6widget (6.0.10) unstable; urgency=medium

  * 6.0.10

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 11 Apr 2024 11:44:35 +0800

dtk6widget (6.0.9) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget
  * chore: disable broken workflow

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 01 Apr 2024 14:47:27 +0800

dtk6widget (6.0.8) unstable; urgency=medium

  * 6.0.8

 -- Wang Fei <wangfei@deepin.org>  Tue, 05 Mar 2024 16:07:01 +0800

dtk6widget (6.0.4) unstable; urgency=medium

  * 6.0.4

 -- wangfei <wangfei@deepin.org>  Wed, 10 Jan 2024 14:59:31 +0800

dtk6widget (6.0.3) unstable; urgency=medium

  * 6.0.3

 -- Mike Chen <chenke@deepin.org>  Tue, 02 Jan 2024 16:19:26 +0800

dtk6widget (6.0.2) unstable; urgency=medium

  * release 6.0.2

 -- Yixue Wang <wangyixue@deepin.org>  Wed, 29 Nov 2023 15:38:42 +0800

dtk6widget (6.0.1) unstable; urgency=medium

  * Release 6.0.1

 -- Yixue Wang <wangyixue@deepin.org>  Mon, 30 Oct 2023 10:33:56 +0800

dtk6widget (6.0.0) unstable; urgency=medium

  * Release 6.0.0

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 08:41:51 +0800

dtkwidget (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:19:50 +0800

dtkwidget (5.6.16) unstable; urgency=medium

  * feat: add ut_dpalettehelper
  * chore: add test for dwatermarkhelper
  * fix: update dependency libfreetype-dev

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:44 +0000

dtkwidget (5.6.15) unstable; urgency=medium

  * chore: remove useless files
  * feat: Add UT for DComboBox
  * doc: update docs for dfontcombobox 更新dfontcombobox的文档
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dtooltip
    Thanks to syn(Issue: #94)
  * doc: update docs for dcircleprogress
    Thanks to homehome(Issue: #94)
  * doc: update docs for dcrumbedit
    Thanks to LyYeeeYuwu(Issue: #94)

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 14:03:59 +0800

dtkwidget (5.6.14) unstable; urgency=medium

  * fix: Button background lightness display error(Issue: #82)
  * doc: update docs for dpasswordedit
    Thanks to homehome(Task: 26)
  * doc: update docs for dtabbar
    Thanks to homehome(Issue: #94)
  * refactor!: deprecate some interfaces in dtk6
  * doc: update docs for dcombobox
    Thanks to Skye-rs(Issue: #94, #1773136810)
  * doc: A small change to Dcombobox
    Thanks to Skye-rs
  * doc: update docs for dsuggestbutton
    Thanks to homehome(Issue: #94)
  * doc: update docs for dwaterprogress
    Thanks to homehome(Issue: #94)
  * doc: update docs for dbaseexpand
    Thanks to syn(Issue: #94)
  * doc: update docs for diconbutton
    Thanks to syn(Issue: #94)
  * doc: update docs for dipv4lineedit
    Thanks to Skye-rs(Issue: #94, #1773136810)
  * doc: update docs for dbuttonbox
    Thanks to LyYeeeYuwu(Issue: #94)
  * fix: remove ut to support DTK6.0
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * doc: update docs for dwarningbutton
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dframe
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dtoolbutton
    Thanks to Skye-rs(Issue: #94)
  * fix: the 'ValueChanged' signal was never emitted in dcircleprogress
    Thanks to homehome
  * doc: update docs for dspinbox
    Thanks to syn(Issue: #94)
  * doc: update docs for dsearchedit
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dbaseline
    Thanks to homehome(Issue: #94)
  * doc: update docs for dcoloredprogressbar
    Thanks to homehome(Issue: #94)
  * doc: update docs for dprogressbar
    Thanks to LyYeeeYuwu(Issue: #94)
  * chore: reduce compilation warnings
    Thanks to SPUER(Issue: #96)
  * doc: update docs for dmessagemanager
    Thanks to homehome(Issue: #94)
  * Revert "fix: 修改内存泄露问题"
  * fix: fix memory leak in danchors.cpp
  * fix: to fix unused qrc file in UT
  * feat: add some UT
  * doc: update docs for dtextedit
    Thanks to LyYeeeYuwu(Issue: #94)
  * fix: fix the bug of the test-recoverage.sh
  * chore: deprecate dhidpihelper

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:38 +0000

dtkwidget (5.6.13) unstable; urgency=medium

  * chore: change the text of the title on licensedialog
  * chore: Add properties about license in dapplication interface
  * chore: Change the text of the title in dlicensedialog
  * fix: 修改分屏菜单位置错误(Bug: 199083)(Influence: 锁屏界面/任务栏等网络插件窗口显示,窗口分屏提示窗口)
  * fix: abnormal font size(Issue: #17)
  * chore: update translations abouut license
  * fix: DApplication casting error
  * fix: TextEdit color group not update(Bug: 196603)
  * feat(build): support Qt6
  * feat(lib): support Qt6
  * feat(others): support Qt6


## dtk6widget 6.0.25

=== examples/PrintPreviewSettingsPlugin/CMakeLists.txt ===
set(PLUGIN_NAME PrintPreviewSettingsPlugin)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)

add_library(${PLUGIN_NAME} SHARED 
  settingsplugin.h 
  settingsplugin.cpp
)

target_link_libraries(${PLUGIN_NAME} PRIVATE 
  ${LIBNAME}
)

=== plugin/dtkuidemo/CMakeLists.txt ===
set(DEMO dtkuidemo)

set(CMAKE_AUTOUIC ON)

# We must find Qt5Widgets explicitly to include Qt5::uic target for AUTOUIC, although Qt5::Widgets is implicitly linked to demo through dtkwidget
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)

add_executable(
    ${DEMO}
    main.cpp
    mainwindow.h
    mainwindow.cpp
    dtkuidemo.qrc
    mainwindow.ui
)

target_link_libraries(${DEMO} PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    ${LIBNAME}
)

## dtk6widget 6.0.21

=== debian/changelog ===
dtk6widget (6.0.21) unstable; urgency=medium

  * 6.0.21

 -- Wang Fei <wangfei@deepin.org>  Wed, 25 Sep 2024 15:09:01 +0800

dtk6widget (6.0.19) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 02:41:05 +0000

=== debian/control ===
Source: dtk6widget
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 libudev-dev,
 libxext-dev,
 qt6-tools-dev-tools,
 qt6-tools-dev,
 x11proto-xext-dev,
 libxcb-util0-dev,
 libstartup-notification0-dev,
 libmtdev-dev,
 qt6-base-private-dev,
 libegl1-mesa-dev,
 libudev-dev,
 libfontconfig1-dev,
 libfreetype-dev,
 libglib2.0-dev,
 libxrender-dev,
 libgsettings-qt-dev,
 qt6-svg-dev,
 libxi-dev,
 libcups2-dev,
 libgtest-dev,
 libdtk6core-dev,
 libdtk6gui-dev,
 libdtkcommon-dev,
 cmake,
 doxygen
Standards-Version: 3.9.8

Package: libdtk6widget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkdata
Multi-Arch: same
Description: deepin graphical user interface library
 DtkWidget is deepin graphical user interface for deepin desktop development.
 .
 This package contains the shared libraries.

Package: libdtk6widget-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6widget (= ${binary:Version})
Description: deepin graphical user interface library utilities
 DtkWidget is deepin graphical user interface for deepin desktop development.
 .
 This package contains the utilities which are
 needed for developing deepin applications.

Package: libdtk6widget-dev
Architecture: any
Depends: ${misc:Depends}, libdtk6widget (= ${binary:Version}),
 libdtk6core-dev,
 libdtk6gui-dev
Description: deepin graphical user interface library
 DtkWidget is deepin graphical user interface for deepin desktop development.
 .
 This package contains the header files and static libraries which are
 needed for developing deepin applications.

Package: dtk6widget-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6widget (= ${binary:Version}), libdtkdata
Description: dtkwidget-examples is generated by dtkwidget.
 DtkWidget is deepin graphical user interface for deepin desktop development.
 .
 This package contains example application which are
 needed for developing deepin applications.

Package: libdtk6widget-doc
Build-Profiles: <!nodoc>
Architecture: any
Description: deepin graphical user interface library (Document)
 DtkWidget is deepin graphical user interface for deepin desktop development.
 .
 This package contains example application which are
 needed for developing deepin applications.

## dtk6widget 6.0.25

=== debian/changelog ===
dtk6widget (6.0.25) unstable; urgency=medium

  * 6.0.25

 -- Wang Fei <wangfei@deepin.org>  Fri, 13 Dec 2024 13:27:46 +0800

dtk6widget (6.0.24.1) unstable; urgency=medium

  * release 6.0.24.1

 -- Mike Chen <chenke@deepin.org>  Mon, 09 Dec 2024 18:40:59 +0800

dtk6widget (6.0.24) unstable; urgency=medium

  * 6.0.24

 -- Wang Fei <wangfei@deepin.org>  Wed, 04 Dec 2024 10:26:30 +0800

dtk6widget (6.0.23) unstable; urgency=medium

  * 6.0.23

 -- Wang Fei <wangfei@deepin.org>  Wed, 20 Nov 2024 16:44:48 +0800

dtk6widget (6.0.22) unstable; urgency=medium

  * 6.0.22

 -- Wang Fei <wangfei@deepin.org>  Wed, 13 Nov 2024 16:09:19 +0800

## dtk6widget 6.0.34

=== examples/CMakeLists.txt ===
add_subdirectory(collections)
add_subdirectory(PrintPreviewSettingsPlugin)

=== debian/changelog ===
dtk6widget (6.0.34) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:53:42 +0800

dtk6widget (6.0.33) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:20:02 +0800

dtk6widget (6.0.32) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:38:11 +0800

dtk6widget (6.0.31) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:57:00 +0800

dtk6widget (6.0.30) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:14:27 +0800

dtk6widget (6.0.29) unstable; urgency=medium

  * 6.0.29

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 23 Jan 2025 17:07:50 +0800

dtk6widget (6.0.28) unstable; urgency=medium

  * 6.0.28

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 14 Jan 2025 19:18:15 +0800

dtk6widget (6.0.27) unstable; urgency=medium

  * 6.0.27

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 09 Jan 2025 19:17:04 +0800

dtk6widget (6.0.26) unstable; urgency=medium

  * 6.0.26

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 02 Jan 2025 15:13:26 +0800

## dtk6widget 6.0.35

=== docs/CMakeLists.txt ===
find_package (Doxygen REQUIRED)

set (QCH_INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/qt${QT_VERSION_MAJOR}/doc CACHE STRING "QCH install location")

set (DOXYGEN_GENERATE_HTML "YES" CACHE STRING "Doxygen HTML output")
set (DOXYGEN_GENERATE_XML "YES" CACHE STRING "Doxygen XML output")
set (DOXYGEN_GENERATE_QHP "YES" CACHE STRING "Doxygen QHP output")
set (DOXYGEN_FILE_PATTERNS *.cpp *.h *.zh_CN.md *.zh_CN.dox CACHE STRING "Doxygen File Patterns")
set (DOXYGEN_PROJECT_NUMBER ${CMAKE_PROJECT_VERSION} CACHE STRING "") # Should be the same as this project is using.
set (DOXYGEN_EXTRACT_STATIC YES)
set (DOXYGEN_OUTPUT_LANGUAGE "Chinese" CACHE STRING "Doxygen Output Language")
set (DOXYGEN_IMAGE_PATH ${CMAKE_CURRENT_LIST_DIR}/images/)
if("${QT_VERSION_MAJOR}" STREQUAL "5")
    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Help)
else()
    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS ToolsTools)
endif()
get_target_property(_qhelpgenerator_location Qt${QT_VERSION_MAJOR}::qhelpgenerator IMPORTED_LOCATION)

if("${_qhelpgenerator_location}" STREQUAL "")
    set(_qhelpgenerator_location "qhelpgenerator")
endif()
set (DOXYGEN_QHG_LOCATION ${_qhelpgenerator_location} CACHE STRING "Doxygen QHG path")
set (DOXYGEN_QHP_NAMESPACE "org.deepin.dtk.widget")
set (DOXYGEN_QCH_FILE "dtkwidget.qch")
set (DOXYGEN_QHP_VIRTUAL_FOLDER "dtkwidget")
set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://org.qt-project.qtcore/qtcore/" CACHE STRING "Doxygen tag files")

set (DOXYGEN_PREDEFINED
    "D_DECL_DEPRECATED_X(x)="
    "DCORE_BEGIN_NAMESPACE=namespace Dtk { namespace Core {"
    "DCORE_END_NAMESPACE=}}"
    "DCORE_USE_NAMESPACE=using namespace Dtk::Core;"
    "DWIDGET_BEGIN_NAMESPACE=namespace Dtk { namespace Widget {"
    "DWIDGET_END_NAMESPACE=}}"
    "DWIDGET_USE_NAMESPACE=using namespace Dtk::Widget;"
)

set (BUILD_THEME OFF CACHE BOOL "Build doxgen theme")
if(BUILD_THEME)
if(EXISTS "${CMAKE_CURRENT_LIST_DIR}/doxygen-theme")
message(STATUS "doxygen-theme exist")
else()
execute_process(COMMAND git clone https://github.com/linuxdeepin/doxygen-theme.git --depth=1
        WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}
        TIMEOUT 60
    )
execute_process(COMMAND bash themesetting.sh
        WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/doxygen-theme/
)
endif()
set (DOXYGEN_HTML_EXTRA_STYLESHEET "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome.css"
                                "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-sidebar-only.css"
                                "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-sidebar-only-darkmode-toggle.css"
                                )
set (DOXYGEN_HTML_EXTRA_FILES "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-darkmode-toggle.js"
                            "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-fragment-copy-button.js"
                            "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-paragraph-link.js"
                            "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-interactive-toc.js"
                            )
set (DOXYGEN_GENERATE_TREEVIEW "YES")
set (DOXYGEN_DISABLE_INDEX "NO")
set (DOXYGEN_FULL_SIDEBAR "NO")
set (DOXYGEN_HTML_HEADER "docs/doxygen-theme/doxygen-awesome-css/header.html")
set (DOXYGEN_HTML_FOOTER "docs/doxygen-theme/doxygen-awesome-css/footer.html")
endif()

set (DOXYGEN_MACRO_EXPANSION "YES")
set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")

# Exclude private classes.
set(DOXYGEN_EXCLUDE_PATTERNS
    ${PROJECT_SOURCE_DIR}/src/widgets/private/dimageviewer_p.h
    ${PROJECT_SOURCE_DIR}/src/widgets/private/dimagevieweritems_p.h
    ${PROJECT_SOURCE_DIR}/src/widgets/private/dsplitscreen_p.h
    ${PROJECT_SOURCE_DIR}/src/widgets/dimagevieweritems.cpp
)

doxygen_add_docs (doxygen
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/docs
    ALL
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMENT "Generate documentation via Doxygen"
)

install (FILES ${PROJECT_BINARY_DIR}/docs/html/dtkwidget.qch DESTINATION ${QCH_INSTALL_DESTINATION})

=== debian/changelog ===
dtk6widget (6.0.35) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 18:50:24 +0800

## dtk6widget 6.0.38

=== plugin/dtkuiplugin/CMakeLists.txt ===
set(UIPLUGIN dtkuiplugin)
project(${UIPLUGIN} VERSION 1.0.0 LANGUAGES CXX)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS UiPlugin Gui)

set(LIB_DWIDGET ${LIBNAME})

if (CMAKE_PROJECT_NAME STREQUAL ${UIPLUGIN})
    message(STATUS "compile ${UIPLUGIN} individually")
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
    set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_AUTORCC ON)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    include(GNUInstallDirs)
    if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
        set(CMAKE_INSTALL_PREFIX /usr)
    endif()
    find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENT Widget)
    set(LIB_DWIDGET Dtk${DTK_VERSION_MAJOR}::Widget)
endif()

add_library(
    ${UIPLUGIN} SHARED
    dcustomerplugins.h
    dcustomerplugins.cpp
    dcustomermacrowidget.h
    dtkuiplugin.qrc
)

target_link_libraries(
    ${UIPLUGIN} PRIVATE
    ${LIB_DWIDGET}
    Qt${QT_VERSION_MAJOR}::UiPlugin
    Qt${QT_VERSION_MAJOR}::GuiPrivate
)

set(INSTALL_PLUGIN OFF CACHE BOOL "Install dtk designer plugin")
if(INSTALL_PLUGIN)
    set(QT_PLUGIN_DESIGNER_PATH "qt${QT_VERSION_MAJOR}/plugins/designer")
    install(TARGETS ${UIPLUGIN} DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/${QT_PLUGIN_DESIGNER_PATH}")
    message(STATUS "Install path:" "${CMAKE_INSTALL_FULL_LIBDIR}/${QT_PLUGIN_DESIGNER_PATH}")
endif()

=== debian/changelog ===
dtk6widget (6.0.38) unstable; urgency=medium

  * Release 6.0.38

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:08:44 +0800

dtk6widget (6.0.37) unstable; urgency=medium

  * Release 6.0.37

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:11:32 +0800

dtk6widget (6.0.36) unstable; urgency=medium

  * Release 6.0.36

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:23:40 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

VERSION = $(DEB_VERSION_UPSTREAM)
_PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
_BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g' | awk '{print int($$1)}')
ifeq ($(_BUILD_VER),)
	CONFIG_VERSION = $(_PACK_VER)
else
	CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_PLUGINS=OFF -DBUILD_DOCS=ON -DDTK_VERSION=$(_PACK_VER)

override_dh_makeshlibs:
	dh_makeshlibs  -V "libdtk6widget (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtk6widget 6.0.39

=== debian/changelog ===
dtk6widget (6.0.39) unstable; urgency=medium

  * Release 6.0.39

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:11:35 +0800

## dtk6widget 6.0.41

=== debian/changelog ===
dtk6widget (6.0.41) unstable; urgency=medium

  * Release 6.0.41

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:48:14 +0800

dtk6widget (6.0.40) unstable; urgency=medium

  * Release 6.0.40

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:59:57 +0800

## dtk6widget 6.0.44.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
string(STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
set(DTK_VERSION "${DTK_FILE_VERSION}" CACHE STRING "define project version")

project(DtkWidget
    VERSION ${DTK_VERSION}
    DESCRIPTION "DTK Widget module"
    HOMEPAGE_URL "https://github.com/linuxdeepin/dtkwidget"
    LANGUAGES CXX C
)

# Set install path
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif()

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

if("${PROJECT_VERSION_MAJOR}" STREQUAL "5")
    set(QT_VERSION_MAJOR 5)
    include(dtkwidget.cmake)
elseif("${PROJECT_VERSION_MAJOR}" STREQUAL "6")
    set(QT_VERSION_MAJOR "6")
    set(DTK_VERSION_MAJOR "6")
    include(dtkwidget.cmake)
else()
    message(SEND_ERROR "not support Prject Version ${PROJECT_VERSION}.")
endif()

=== src/CMakeLists.txt ===
if("${QT_VERSION_MAJOR}" STREQUAL "5")
    pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt) #Dtk6 removed.
endif()
pkg_check_modules(XcbUtil REQUIRED IMPORTED_TARGET xcb-util)
pkg_check_modules(StartupNotification REQUIRED IMPORTED_TARGET libstartup-notification-1.0)
pkg_check_modules(Xext REQUIRED IMPORTED_TARGET xext)
pkg_check_modules(Xi REQUIRED IMPORTED_TARGET xi)
pkg_check_modules(X11 REQUIRED IMPORTED_TARGET x11)

include(util/util.cmake)
include(widgets/widgets.cmake)

file(GLOB TRANSLATIONS translations/*.ts)
if("${QT_VERSION_MAJOR}" STREQUAL "5")
    qt5_add_translation(QM_FILES ${TRANSLATIONS})
else()
    qt6_add_translation(QM_FILES ${TRANSLATIONS})
endif()

add_library(${LIBNAME} SHARED
    ${WIDGETS}
    ${QM_FILES}
    ${UTIL}
    ${PUBLIC_HEADERS}
)

set(TRANSLATIONS_INSTALL_DIR
    "dtk${PROJECT_VERSION_MAJOR}/DWidget/translations"
)

target_compile_definitions(${LIBNAME} PRIVATE
    SN_API_NOT_YET_FROZEN
    DTK_NO_MULTIMEDIA
    DWIDGET_TRANSLATIONS_DIR="${TRANSLATIONS_INSTALL_DIR}"
    LIBDTKWIDGET_LIBRARY
    D_IGNORE_DEPRECATIONS
)

if(DTK_STATIC_TRANSLATION)
target_compile_definitions(${LIBNAME} PRIVATE
    DTK_STATIC_TRANSLATION
)
endif()

target_include_directories(${LIBNAME}
PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/DWidget>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/util>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/widgets>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/global>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    $<BUILD_INTERFACE:${CONFIG_INCLUDE}>
INTERFACE
    $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>
)

target_link_libraries(${LIBNAME}
PUBLIC
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::Network
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::PrintSupport
    Dtk${DTK_VERSION_MAJOR}::Gui
    Dtk${DTK_VERSION_MAJOR}::Core
PRIVATE
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::WidgetsPrivate
    Qt${QT_VERSION_MAJOR}::PrintSupportPrivate
    PkgConfig::StartupNotification
    PkgConfig::Xext
    PkgConfig::Xi
    PkgConfig::X11
    PkgConfig::XcbUtil
)

if("${QT_VERSION_MAJOR}" STREQUAL "5")
    target_link_libraries(${LIBNAME} PRIVATE
        PkgConfig::QGSettings
        Qt5::X11Extras
    )
endif()

target_link_directories(${LIBNAME} INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
    $<INSTALL_INTERFACE:${LIBRARY_INSTALL_DIR}>
)

set_target_properties(${LIBNAME}
    PROPERTIES
    VERSION ${CMAKE_PROJECT_VERSION}
    SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
    EXPORT_NAME Widget
    PUBLIC_HEADER "${PUBLIC_HEADERS}"
)
install(
    TARGETS ${LIBNAME}
    EXPORT ${DtkWidget}Targets
    DESTINATION ${LIBRARY_INSTALL_DIR}
    PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR}
)

install(
    EXPORT ${DtkWidget}Targets 
    NAMESPACE Dtk${DTK_VERSION_MAJOR}:: 
    FILE ${DtkWidget}Targets.cmake 
    DESTINATION "${CONFIG_CMAKE_INSTALL_DIR}"
)

install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/${TRANSLATIONS_INSTALL_DIR}")

=== tests/CMakeLists.txt ===
set(BINNAME "ut-${LIBNAME}")

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Test)
find_package(GTest REQUIRED)

if("${QT_VERSION_MAJOR}" STREQUAL "5")
    pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt) #Dtk6 removed.
endif()

pkg_check_modules(XcbUtil REQUIRED IMPORTED_TARGET xcb-util)
pkg_check_modules(StartupNotification REQUIRED IMPORTED_TARGET libstartup-notification-1.0)
pkg_check_modules(Xext REQUIRED IMPORTED_TARGET xext)
pkg_check_modules(Xi REQUIRED IMPORTED_TARGET xi)
pkg_check_modules(X11 REQUIRED IMPORTED_TARGET x11)

set(WIDGET_TEST 
    testcases/widgets/ut_daboutdialog.cpp
    testcases/widgets/ut_dabstractdialog.cpp
    testcases/widgets/ut_dalertcontrol.cpp
    testcases/widgets/ut_danchor.cpp
    # TODO break the test
    #testcases/widgets/ut_danchors.cpp
    testcases/widgets/ut_darrowbutton.cpp
    testcases/widgets/ut_darrowlinedrawer.cpp
    # TODO: Qt6 no longer support 
    #testcases/widgets/ut_darrowlineexpand.cpp
    testcases/widgets/ut_darrowrectangle.cpp
    testcases/widgets/ut_dbackgroundgroup.cpp
    # TODO: Qt6 no longer support
    #testcases/widgets/ut_dbaseexpand.cpp
    testcases/widgets/ut_dbaseline.cpp
    testcases/widgets/ut_dblureffectwidget.cpp
    testcases/widgets/ut_dboxwidget.cpp
    testcases/widgets/ut_dbuttonbox.cpp
    testcases/widgets/ut_dcircleprogress.cpp
    testcases/widgets/ut_dclipeffectwidget.cpp
    testcases/widgets/ut_dcoloredprogressbar.cpp
    testcases/widgets/ut_dcommandlinkbutton.cpp
    testcases/widgets/ut_dcrumbedit.cpp
    testcases/widgets/ut_ddialog.cpp
    testcases/widgets/ut_ddialogclosebutton.cpp
    testcases/widgets/ut_ddrawer.cpp
    testcases/widgets/ut_ddrawergroup.cpp
    testcases/widgets/ut_denhancedwidget.cpp
    # TODO test break
    #testcases/widgets/ut_dexpandgroup.cpp
    testcases/widgets/ut_dfilechooseredit.cpp
    testcases/widgets/ut_dfiledialog.cpp
    testcases/widgets/ut_dfloatingbutton.cpp
    testcases/widgets/ut_dfloatingmessage.cpp
    testcases/widgets/ut_dfloatingwidget.cpp
    # TODO break
    # testcases/widgets/ut_dflowlayout.cpp
    testcases/widgets/ut_dframe.cpp
    testcases/widgets/ut_dgraphicsclipeffect.cpp
    testcases/widgets/ut_dgraphicsgloweffect.cpp
    testcases/widgets/ut_dheaderline.cpp
    testcases/widgets/ut_diconbutton.cpp
    testcases/widgets/ut_dimageviewer.cpp
    testcases/widgets/ut_dinputdialog.cpp
    testcases/widgets/ut_dipv4lineedit.cpp
    testcases/widgets/ut_dkeysequenceedit.cpp
    testcases/widgets/ut_dlabel.cpp
    testcases/widgets/ut_dlicensedialog.cpp
    testcases/widgets/ut_dlineedit.cpp
    testcases/widgets/ut_dlistview.cpp
    testcases/widgets/ut_dloadingindicator.cpp
    testcases/widgets/ut_dmainwindow.cpp
    testcases/widgets/ut_dmessagemanager.cpp
    testcases/widgets/ut_dmpriscontrol.cpp
    testcases/widgets/ut_dpageindicator.cpp
    testcases/widgets/ut_dpalettehelper.cpp
    testcases/widgets/ut_dpasswordedit.cpp
    testcases/widgets/ut_dpicturesequenceview.cpp
    # TODO PREAK
    #testcases/widgets/ut_dprintpickcolorwidget.cpp
    #testcases/widgets/ut_dprintpreviewdialog.cpp
    testcases/widgets/ut_dprintpreviewwidget.cpp
    testcases/widgets/ut_dprogressbar.cpp
    testcases/widgets/ut_dpushbutton.cpp
    #TODO BREAK kf.windowsystem: Could not find any platform plugin
    # testcases/widgets/ut_dsearchcombobox.cpp
    testcases/widgets/ut_dsearchedit.cpp
    testcases/widgets/ut_dsettingsdialog.cpp
    testcases/widgets/ut_dsettingswidgetfactory.cpp
    testcases/widgets/ut_dshaowline.cpp
    testcases/widgets/ut_dsimplelistview.cpp
    testcases/widgets/ut_dslider.cpp
    # TODO break
    #testcases/widgets/ut_dspinbox.cpp
    # testcases/widgets/ut_dspinner.cpp
    testcases/widgets/ut_dstackwidget.cpp
    testcases/widgets/ut_dstyleditemdelegate.cpp
    testcases/widgets/ut_dstyleoption.cpp
    testcases/widgets/ut_dsuggestbutton.cpp
    testcases/widgets/ut_dswitchbutton.cpp
    testcases/widgets/ut_dswitchlineexpand.cpp
    testcases/widgets/ut_dtabbar.cpp
    testcases/widgets/ut_dtextedit.cpp
    testcases/widgets/ut_dtickeffect.cpp
    testcases/widgets/ut_dtiplabel.cpp
    testcases/widgets/ut_dtitlebar.cpp
    testcases/widgets/ut_dtoolbutton.cpp
    testcases/widgets/ut_dtooltip.cpp
    testcases/widgets/ut_dwarningbutton.cpp
    testcases/widgets/ut_dwatermarkhelper.cpp
    # FIXME break
    # testcases/widgets/ut_dwaterprogress.cpp
    testcases/widgets/ut_dwindowclosebutton.cpp
    testcases/widgets/ut_dwindowmaxbutton.cpp
    testcases/widgets/ut_dwindowminbutton.cpp
    testcases/widgets/ut_dwindowoptionbutton.cpp
    testcases/widgets/ut_dwindowquitfullbutton.cpp
    testcases/widgets/ut_dcombobox.cpp
    testcases/widgets/ut_dwatermarkwidget.cpp
)

include(${PROJECT_SOURCE_DIR}/src/util/util.cmake)
include(${PROJECT_SOURCE_DIR}/src/widgets/widgets.cmake)

set(RESCOUCES data.qrc)

add_executable(${BINNAME}
    main.cpp
    ${RESCOUCES}
    ${UTIL}
    ${WIDGETS}
    ${WIDGET_TEST}
    ${PUBLIC_HEADERS}
)

target_compile_definitions(${BINNAME} PRIVATE
    SN_API_NOT_YET_FROZEN
    DTK_NO_MULTIMEDIA
    DWIDGET_TRANSLATIONS_DIR="dtk${PROJECT_VERSION_MAJOR}/DWidget/translations"
    D_IGNORE_DEPRECATIONS
)

if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    target_compile_options(${BINNAME} PRIVATE -fprofile-instr-generate -ftest-coverage)
endif()
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    target_compile_options(${BINNAME} PRIVATE -fprofile-arcs -ftest-coverage)
endif()

target_compile_options(${BINNAME} PRIVATE -fno-access-control -fsanitize=address)
target_link_options(${BINNAME} PRIVATE -fsanitize=address)

target_include_directories(${BINNAME} PRIVATE
    ${PROJECT_SOURCE_DIR}/src/widgets
    ${PROJECT_SOURCE_DIR}/include/DWidget
    ${PROJECT_SOURCE_DIR}/include/util
    ${PROJECT_SOURCE_DIR}/include/widgets
    ${PROJECT_SOURCE_DIR}/include/global
    ${PROJECT_SOURCE_DIR}/include
    ${CONFIG_INCLUDE}
)

target_link_libraries(${BINNAME} PRIVATE 
    Qt${QT_VERSION_MAJOR}::Test
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::WidgetsPrivate
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::PrintSupport
    Qt${QT_VERSION_MAJOR}::PrintSupportPrivate
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::Network
    PkgConfig::StartupNotification
    PkgConfig::Xext
    PkgConfig::Xi
    PkgConfig::X11
    PkgConfig::XcbUtil
    Dtk${DTK_VERSION_MAJOR}::Gui
    Dtk${DTK_VERSION_MAJOR}::Core
    GTest::GTest
    gmock
    pthread
    m
    gcov
)

if("${QT_VERSION_MAJOR}" STREQUAL "5")
    target_link_libraries(${BINNAME} PRIVATE
        PkgConfig::QGSettings
        Qt5::X11Extras
    )
endif()

add_test(NAME ${BINNAME} COMMAND ${BINNAME})

=== examples/collections/CMakeLists.txt ===
set(BIN_NAME collections)
set(CMAKE_AUTOUIC ON)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui Widgets)

add_executable(${BIN_NAME}
    images.qrc
    resources.qrc
    icons/theme-icons.qrc
    cameraform.ui
    mainwindow.h
    buttonexample.h
    examplewindowinterface.h
    pagewindowinterface.h
    editexample.h
    sliderexample.h
    listviewexample.h
    windowexample.h
    tooltipexample.h
    spinnerexample.h
    dialogexample.h
    progressbarexample.h
    layoutexample.h
    scrollbarexample.h
    rubberbandexample.h
    widgetexample.h
    lcdnumberexample.h
    menuexample.h
    imageviewerexample.h
    main.cpp
    mainwindow.cpp
    buttonexample.cpp
    examplewindowinterface.cpp
    pagewindowinterface.cpp
    editexample.cpp
    sliderexample.cpp
    listviewexample.cpp
    windowexample.cpp
    tooltipexample.cpp
    spinnerexample.cpp
    dialogexample.cpp
    progressbarexample.cpp
    layoutexample.cpp
    scrollbarexample.cpp
    rubberbandexample.cpp
    widgetexample.cpp
    lcdnumberexample.cpp
    menuexample.cpp
    imageviewerexample.cpp
)

target_link_libraries(${BIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    ${LIBNAME}
)
install(
    TARGETS ${BIN_NAME}
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/dtk${PROJECT_VERSION_MAJOR}/DWidget/examples/"
)

=== debian/changelog ===
dtk6widget (6.0.44.4) unstable; urgency=medium

  * Release 6.0.44

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:47:11 +0800

dtk6widget (6.0.43) unstable; urgency=medium

  * Release 6.0.43

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:49:18 +0800

dtk6widget (6.0.42) unstable; urgency=medium

  * Release 6.0.42

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:27:04 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+# 安全编译参数
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

## dtk6widget 6.0.46.1

=== debian/changelog ===
dtk6widget (6.0.46.1) unstable; urgency=medium

  * Release 6.0.46

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:03:04 +0800

dtk6widget (6.0.45) unstable; urgency=medium

  * Release 6.0.45

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:47:25 +0800

dtk6widget (6.0.44) unstable; urgency=medium

  * Release 6.0.44

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:47:11 +0800

=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,4 @@
 	dh_auto_configure -- -DBUILD_PLUGINS=OFF -DBUILD_DOCS=ON -DDTK_VERSION=$(_PACK_VER)
 
 override_dh_makeshlibs:
-	dh_makeshlibs  -V "libdtk6widget (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"
+	dh_makeshlibs  -V "libdtk6widget (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2,3))"
